# AntlrPlugin

abstract class AntlrPlugin : Plugin<T>

A plugin for adding Antlr support to java projects.

#### See also

<a href="https://docs.gradle.org/current/userguide/antlr_plugin.html">ANTLR plugin reference</a>

## Constructors

AntlrPlugin
Link copied to clipboard
@Inject
constructor(objectFactory: ObjectFactory)

## Properties

ANTLR_CONFIGURATION_NAME
Link copied to clipboard
val ANTLR_CONFIGURATION_NAME: String = "antlr"

## Functions

apply
Link copied to clipboard
open fun apply(project: Project)